<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
	</head>
	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">会员订单</a></div>
		<div class="common_content_title">会员订单</div>
		<div class="seach_form_box box_shadow border5 clearfix">
			<div class="seach_form">
				<form id="orderForm" method="post">
					<ul class="clearfix">
						<li>
							<div>
								<span>会员编号:</span>
								<input class="form-control" type="text" name="memberCode"></input>
							</div>
						</li>
						<!-- <li class="seach_form_li2">
							<div>
								<span>金额:</span>
								<input class="form-control" type="text" name="orderAmountStart" data-options="validType:'number'"></input>
							</div>
								<div class="and">
									<span>至:</span>
									<input class="form-control" type="text" name="orderAmountEnd" data-options="validType:'number'"></input>
								</div>
						</li> -->
						
						<li class="seach_form_li2">
							<div>
								<span>实付金额:</span>
								<input class="form-control" type="text" name="payAmountStart" data-options="validType:'numAndPoint'"></input>
							</div>
								<div class="and">
									<span>至:</span>
									<input class="form-control" type="text" name="payAmountEnd" data-options="validType:'numAndPoint'"></input>
								</div>
						</li>
						
						<!-- <li>
							<div>
								<span>渠道:</span>
								<input type="hidden" name="channelId" id="channelId1" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu" data="">
									<li data-id="">
										<a href="javascript:;" style="color:#cdcdcd;">--请选择--</a>
									</li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li> -->
						<li>
							<div>
								<span>状态</span>
								<input type="hidden" name="statusId" id="statusId1" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu" data="$.Order_Status">
									<li data-id="">
										<a href="javascript:;" style="color:#cdcdcd;">--请选择--</a>
									</li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
						<li>
							<div>
								<span>订单编号:</span>
								<input class="form-control" type="text" name="orderCode"></input>
							</div>
						</li>
						<li class="seach_form_li2">
							<div>
								<span>发生日期:</span>
								<input name="orderDateStart" id="orderDateStart" class="Wdate date_input" type="text" value="" 
									onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',maxDate:'#F{$dp.$D(\'orderDateEnd\')}'})" />
							</div>
							<div class="and">
								<span>至:</span>
								<input name="orderDateEnd" id="orderDateEnd" class="Wdate date_input" type="text" value="" 
 									onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'#F{$dp.$D(\'orderDateStart\')}'})" readonly />
							</div>
						</li>
						<li>
							<div>
								<span>消费门店:</span>
								<input class="form-control" type="text" name="storeName"></input>
							</div>
						</li>
						<li>
							<div>
								<span>手机号码:</span>
								<input class="form-control" type="text" name="mobile"></input>
							</div>
						</li>
					</ul>
					<button id="seachOrder" type="button" class="btn common_content_seacch_btn"></button>
				</form>
			</div>
		</div>
		<!-- <div class="common_content_btnList clearfix">
			<button id="orderItemDetailBtn" type="button" class="btn btn-success btn-block">订单明细</button>
		</div> -->
		<div class="common_content_table box_shadow border10">
			<table id="orderTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,method:'post',singleSelect:true">
				<thead>
					<tr>
						<th data-options="field:'orderId',hidden:true"></th>
						<th data-options="field:'memberCode',width:150,align:'center',halign:'center'">会员编号</th>
						<th data-options="field:'mobile',width:120,align:'center',halign:'center'">手机号码</th>
						<th data-options="field:'orderDate',width:200,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getDateString(value);}">订单发生日期</th>
						<th data-options="field:'createTime',width:200,align:'center',halign:'center'
							,formatter : function(value, row, index) {return getDateString(value);}">订单接收时间</th>
						<th data-options="field:'payAmount',width:100,align:'center',halign:'center'">实付金额</th>
						<th data-options="field:'orderCode',width:150,align:'center',halign:'center'">订单编号</th>
						<th data-options="field:'externalId',width:200,align:'center',halign:'center'">外部订单编号</th>
						<th data-options="field:'ticketNo',width:200,align:'center',halign:'center'
							,formatter:function(value, row, index){return getTicketNo(row);}">小票号</th>
						<th data-options="field:'channelId',width:120,align:'center',halign:'center'
						,formatter : function(value, row, index) {return $.Member_Channel.getText(value);}">消费渠道</th>
						<th data-options="field:'storeName',width:120,align:'center',halign:'center'">消费门店</th>
						<th data-options="field:'statusId',width:150,align:'center',halign:'center'
							,formatter : function(value, row, index) {return $.Order_Status.getText(value);}">状态</th>
					</tr>
				</thead>
			</table>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/order/orderManage'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>